Bug 1561959 - [RFE][S-3] Add OpenSCAP Title and CVE references into CloudForms database
Summary: [RFE][S-3] Add OpenSCAP Title and CVE references into CloudForms database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: MVP
: 5.10.0
Assignee: Hui Song
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2018-03-29 09:17 UTC by Niladri Roy
Modified: 2019-02-07 23:01 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:37 UTC

Comment 4 CFME Bot 2018-06-27 18:19:40 UTC
New commit detected on ManageIQ/manageiq-schema/master:

https://github.com/ManageIQ/manageiq-schema/commit/d885e366fdd0498bfee80bc9b09ef81be614e00e
commit d885e366fdd0498bfee80bc9b09ef81be614e00e
Author:     hsong-rh <hsong@redhat.com>
AuthorDate: Wed Jun  6 11:52:32 2018 -0400
Commit:     hsong-rh <hsong@redhat.com>
CommitDate: Wed Jun  6 11:52:32 2018 -0400

    Add two columns title and cves to OpenscapRuleResults table

    https://bugzilla.redhat.com/show_bug.cgi?id=1561959

 db/migrate/20180605210436_add_title_cves_to_openscap_rule_results.rb | 6 +
 1 file changed, 6 insertions(+)

Comment 5 CFME Bot 2018-06-29 07:23:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/bcbda8eb91f96c03a3bb9149eb50d4f817997823
commit bcbda8eb91f96c03a3bb9149eb50d4f817997823
Author:     hsong-rh <hsong@redhat.com>
AuthorDate: Wed Jun  6 14:29:46 2018 -0400
Commit:     hsong-rh <hsong@redhat.com>
CommitDate: Wed Jun  6 14:29:46 2018 -0400

    Display two new added columns in Openscap rule results page

    https://bugzilla.redhat.com/show_bug.cgi?id=1561959

 product/views/OpenscapRuleResult.yaml | 6 +
 1 file changed, 6 insertions(+)

Comment 6 CFME Bot 2018-07-09 21:06:37 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/80b72c4713fb77d0da69bbdc7bcc8c148f76756d
commit 80b72c4713fb77d0da69bbdc7bcc8c148f76756d
Author:     hsong-rh <hsong@redhat.com>
AuthorDate: Mon Jul  9 15:08:56 2018 -0400
Commit:     hsong-rh <hsong@redhat.com>
CommitDate: Mon Jul  9 15:08:56 2018 -0400

    Upgrade to use version of openscap gem 0.4.8

    https://bugzilla.redhat.com/show_bug.cgi?id=1561959

 Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Hui Song 2018-07-09 21:09:31 UTC
Reset status to POST due to new commit.

Comment 8 Satyajit Bulage 2018-09-28 18:44:09 UTC
Can you please add verification steps ..?

Comment 10 Satyajit Bulage 2018-10-03 15:46:41 UTC
Thanks Hui for verification steps.
Able to see two newly added columns after scanning images.

Verified Version: 5.10.0.17.20180927011235_1b5cf54

Comment 11 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.